MKREISERFS(8)

NOM
mkreiserfs - Créer une système de fichiers ReiserFS pour Linux

SYNOPSIS
mkreiserfs [ -dfV ] [ -b | --block-size N ] [ -h | --hash HACHAGE ] [ -u | --uuid UUID ] [ -l | --label NOM ] [ --format FORMAT ] [ -q | --quiet ] [ -j | --journal-device FICHIER ] [ -s | --journal-size N ] [ -o | --journal-offset N ] [ -t | --transaction-max-size N ] [ -B | --badblocks fichier ] périphérique [ taille-du-système-de-fichiers ]

DESCRIPTION
mkreiserfs crée un système de fichiers ReiserFS pour Linux sur un périphérique (habituellement la partition d'un disque dur).

périphérique
    fichier spécial correspondant à un périphérique ou une partition (par exemple /dev/hdXX, correspondant à une partition d'un disque IDE ou /dev/sdXX pour celle d'un disque SCSI).

taille-du-système-de-fichiers
    taille du système de fichiers en blocs. Par défaut, mkreiserfs la déterminera automatiquement.

OPTIONS

-b | --block-size N
    N est la taille d'un bloc en octets. Cette valeur doit être une puissance de deux dans l'intervalle 512-8192.

-h | --hash HACHAGE
    HACHAGE indique la fonction de hachage qui sera utilisée pour trier les noms de fichiers dans les répertoires. À choisir parmi r5, rupasov ou tea. r5 est la valeur par défaut.

--format FORMAT
    FORMAT indique le format du nouveau système de fichiers. À choisir entre 3.5 et 3.6. Par défaut, mkreiserfs utilisera le format 3.6 si vous utilisez un noyau Linux 2.4 ou ultérieur, le format 3.5 pour un noyau 2.2 et il refusera de créer le système de fichiers pour toute autre version du noyau.

-u | --uuid UUID
    Définit l'identifiant unique universel (« Universally Unique IDentifier », ou UUID) du système de fichiers à UUID (voir aussi uuidgen(8)). L'UUID est composé d'une série de chiffres hexadécimaux séparés par des tirets, comme par exemple :« c1b9d5a2-f162-11cf-9ece-0020afc76f16 ». Par défaut quand cette option n'et pas précisée, mkreiserfs génère automatiquement un nouvel identifiant UUID.

-l | --label NOM
    Définit le nom de volume du système de fichiers. NOM fait au plus 16 caractères de long. S'il est plus long, mkreiserfs le tronquera automatiquement.

-q | --quiet
    Demande à mkreiserfs de travailler silencieusement sans produire de messages, d'indications de progression ou de questions. C'est utile, mais seulement par les utilisateurs finaux, si vous exécutez mkreiserfs dans un script.

-j | --journal-device FICHIER
    FICHIER est le nom du périphérique bloc destiné à contenir le journal du système de fichiers.

-o | --journal-offset N
    N est le décalage à partir duquel commence le journal quand il se trouve sur un périphérique différent. La valeur par défaut est 0. Cette option n'a aucun effet quand le journal se situe sur le même périphérique que le système de fichiers.

-s | --journal-size N
    N indique la taille du journal en nombre de blocs. Quand le journal est situé sur un périphérique différent de celui du système de fichiers, sa taille par défaut est celle du périphérique. Quand le journal est sur le même périphérique, sa taille par défaut est de 8193 blocs et sa taille maximale possible est de 32749 (pour des blocs de 4 k). Sa taille minimale est de 513 blocs (que le journal se trouve sur le même périphérique que le système de fichiers ou non).

-t | --transaction-max-size N
    N indique la taille maximale d'une transaction pour le journal. La valeur par défaut, également valeur maximale, est de 1024 blocs. Cette valeur devrait être de moins de la moitié de la taille du journal. Si la valeur est incorrectement spécifiée, elle sera modifiée automatiquement.

-B | --badblocks fichier
    fichier est le nom du fichier qui contient la liste des blocs marqués comme défectueux sur le système de fichiers. Cette liste peut être créée avec /sbin/badblocks -b taille_bloc périphérique.

-f  Cette option force mkreiserfs à continuer même si le périphérique est un disque entier qui paraît monté ou n'est pas un périphérique en mode bloc. Spécifier l'option -f plus d'une fois permet de supprimer la demande de confirmation.

-d  Indique à mkreiserfs d'afficher les informations de débogage pendant son exécution.

-V  Affiche la version, puis quitte.

AUTEUR
Cette version de mkreiserfs a été écrite par Edward Shishkin <edward@namesys.com>.

BOGUES
Veuillez envoyer vos rapports de bogue aux développeurs ReiserFS <reiserfs-devel@vger.kernel.org>, en fournissant autant d'informations que possibles : le matériel, le noyau, les patches, la configuration, tous les messages affichés ; vérifiez si le fichier syslog contient des informations qui sembles liées.

VOIR AUSSI
reiserfsck(8), debugreiserfs(8), reiserfstune(8)

TRADUCTION
Cette page de manuel a été traduite par Guillaume Bour en 2002. La version présente dans Debian est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.